/**
 *
 */
package Member;

import main.MenuBean;
import Viewer.Menu;

/**
 * @author Kayano
 *
 */
public class MemberControl implements MenuBean {

	@Override
	public boolean input(String inputFile) {
		//該当したファイルにFactoryで指定しているので、ここの査定は全てtrue返します。
		return true;
	}

	@Override
	public void execute(String inputFile) {
		//MemberControlで管理選択をしたいので、ここではMapでの初期化とメニュー番号での選択を行います。
		do {
			int selectMenu = Menu.getNoMember1();

			//ここで、該当するインプットファイルを決定したい。
			MemberBean bean = null;
			bean = (MemberBean) MemberBeanFactory.get(selectMenu);

			//System.out.println(bean);

			if (bean.input(inputFile)) {
				bean.execute(inputFile);
			}
		} while (true);
	}
}
